View a markdown version of this page

PutTrustedAccessProgramAccountEnrollment - Amazon Bedrock

PutTrustedAccessProgramAccountEnrollment

Sets your account's enrollment preference for a trusted access program. Amazon Bedrock identifies the account from your authenticated request. To enable enrollment, your account needs applicable approval and no applicable revocation, including when you repeat an enabled setting. Otherwise, Amazon Bedrock returns ConflictException and preserves the stored setting. With the required permissions, you can set disabled or inherit even if your account is ineligible or its eligibility is revoked.

Request Syntax

PUT /trusted-access-programs/programIdentifier/account-enrollment HTTP/1.1 Content-type: application/json { "optIn": "string" }

URI Request Parameters

The request uses the following URI parameters.

programIdentifier

The identifier of the trusted access program.

Length Constraints: Minimum length of 3. Maximum length of 115.

Pattern: ([a-z0-9]+-[a-z0-9-]+|arn:aws(-[^:]+)?:bedrock::aws:trusted-access-program/[a-z0-9]+-[a-z0-9-]+)

Required: Yes

Request Body

The request accepts the following data in JSON format.

optIn

The enrollment preference to store. A transition to enabled accepts the program's terms. Changing the preference records a new updatedAt. Repeating the same stored preference preserves updatedAt.

Type: String

Valid Values: inherit | enabled | disabled

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "optIn": "string", "updatedAt": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

optIn

Stored preference at the addressed scope. A missing enrollment returns inherit without updatedAt.

Type: String

Valid Values: inherit | enabled | disabled

updatedAt

The time the stored enrollment setting last changed.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The request is denied because of missing access permissions.

HTTP Status Code: 403

ConflictException

Error occurred because of a conflict while performing an operation.

HTTP Status Code: 400

InternalServerException

An internal server error occurred. Retry your request.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource Amazon Resource Name (ARN) was not found. Check the Amazon Resource Name (ARN) and try your request again.

HTTP Status Code: 404

ThrottlingException

The number of requests exceeds the limit. Resubmit your request later.

HTTP Status Code: 429

ValidationException

Input validation failed. Check your request parameters and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: